
kerio.waw.shared.x_17 = kerio.waw.shared.x_17 ||
{};

kerio.waw.shared.x_17.x_2u = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_2y;
var x_2z = x_2v.x_1e || [];
x_2z.push('->');
x_2y = {
x_1j: 'x_30',
x_23: x_x('Apply', 'list'),
x_31: true,
x_25: function(x_32){
x_32.x_33(x_32, true);
}
};
x_2z.push(x_2y);
x_2y = {
x_1j: 'x_34',
x_23: x_x('Reset', 'list'),
x_31: true,
x_25: function(x_32){
x_32.x_35(x_32, true);
}
};
x_2z.push(x_2y);
x_2v.x_1e = x_2z; kerio.waw.shared.x_17.x_2u.superclass.constructor.call(this, x_1j, x_2v);
this.x_33 = x_2v.x_33;
this.x_35 = x_2v.x_35;
this.x_2v = x_2v;
}; 
kerio.lib.x_36(kerio.waw.shared.x_17.x_2u, kerio.lib.x_37, 
{

x_38: function(x_39, x_3a){
this.x_3b('x_30', !x_39);
this.x_3b('x_34', !x_3a);
} }); 
kerio.waw.shared.x_17.x_3c = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_o = x_2v.x_o || false;

var x_3d = function(x_32) {
var
x_3e = kerio.waw.shared.x_3e;
x_3e.x_3f();
if (this.x_3g === this.x_3h) {
x_32 = this.x_32;
}
if (false === x_32.x_3i(x_32, true)) {
x_3e.x_3j();
}
}; 
var x_3k = function(x_32){
var
x_x = kerio.lib.x_x,
x_3l = x_32.x_3m,
x_3n = x_3l.x_1j,
x_3o = false,
x_3p = false,
x_3q = (kerio.waw.shared.x_3r.x_3s.x_3t === kerio.waw.shared.x_3r.x_3s.x_3u),
x_3v,
x_3w,
x_3x,
x_3y,
x_3z,
x_40,
x_41, x_42;
kerio.waw.shared.x_3e.x_3f();
if (x_3n !== 'x_43' && x_3n !== 'x_44') {
this.x_3m.x_45.call(x_32, 'yes');
return;
}
x_3v = x_3l.x_3v;
x_40 = x_3v.x_40;
if (x_3n === 'x_43') {
x_3x = kerio.waw.status.x_p.x_3x;
x_3z = x_3x.indexOf('@localhost');
x_3y = -1 !== x_3z;
if (x_3y) {
x_3x = x_3x.substring(0, x_3z);
for (x_41 = 0, x_42 = x_3v.x_46; x_41 < x_42; x_41++) {
if (x_40[x_41].x_47.credentials.userName === x_3x) {
x_3o = true;
break;
}
if (x_3q && 'admin' === x_40[x_41].x_47.credentials.userName.toLowerCase()) {
x_3p = x_40[x_41].x_47.credentials.userName;
}
}
if (x_3o) {
kerio.lib.x_48(
x_x('Delete User', 'userList'),
x_x('You cannot remove the user whose account you are currently using.', 'userList')
);
kerio.waw.shared.x_3e.x_3j();
return;
}
if (x_3p) {
kerio.lib.x_48(
x_x('Delete User', 'userList'),
x_x('You cannot remove the user "%1".', 'userList', {x_49: [x_3p], x_4a: 1})
);
kerio.waw.shared.x_3e.x_3j();
return;
}
}
}
if (x_3v.x_46 === 1) {
if (x_3n === 'x_43') {
x_3w = x_x('Are you sure you want to remove user "%1"?', 'userList', {
x_49: [x_40[0].x_47.credentials.userName]
});
}
else {
x_3w = x_x('Are you sure you want to remove group "%1"?', 'groupList', {
x_49: [x_40[0].x_47.name]
});
}
}
else {
if (x_3n === 'x_43') {
x_3w = x_x('Are you sure you want to remove the selected users?', 'userList');
}
else {
x_3w = x_x('Are you sure you want to remove selected groups?', 'groupList');
}
}
kerio.lib.x_4b(x_x('Confirm Action', 'common'), x_3w, x_3l.x_45, this);
}; var x_4c;
if (x_o) {

x_4c = function(x_4d, x_4e){
if (this.x_4f) {
if (false === this.x_4f.call(this, x_4d, x_4e)) {
return;
}
}
if (x_4d instanceof kerio.lib.x_4g) {
this.x_3b('x_4h', (1 === x_4d.x_3v.x_46));
}
}; } else {

x_4c = function(x_4d, x_4e){
if (this.x_4f) {
if (false === this.x_4f.call(this, x_4d, x_4e)) {
return;
}
}
var x_4i, x_4j, x_46;
var x_4k = x_4d.x_4k;
if (x_4d instanceof kerio.lib.x_4g) {
switch (x_4e.x_1f) {
case x_4k.x_4l:
x_46 = x_4d.x_3v.x_46;
this.x_3b('x_4m', (1 === x_46));
this.x_3b('x_4n', !x_4d.x_4o && (0 !== x_46));
break; case x_4k.x_4p:
x_4i = x_4d.x_4i;
x_4j = x_4e.x_4q.keyCode;
if (!x_4d.x_4o && ((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j))) {
this.x_4t(this);
}
break; }
}
}; } var x_4u = {
x_4v: true,

x_4c: x_4c
}; var x_4w = (false !== x_2v.x_4w);
if (x_4w) {

x_4u.x_33 = function(x_32, x_4x){
var x_3l = x_32.x_3m;
if ('function' === typeof x_3l.x_33) {
if (true === x_3l.x_33(x_4x)) {
return; }
}
x_3l.x_4y('apply', {}, {
x_2s: {
x_4z: false,
x_50: !x_4x
}
});
};

x_4u.x_35 = function(x_32, x_4x){
var x_3l = x_32.x_3m;
if ('function' === typeof x_3l.x_35) {
if (true === x_3l.x_35(x_4x)) {
return; }
}
x_32.x_3m.x_4y('reset', {}, {
x_2s: {
x_4z: false,
x_50: !x_4x
}
});
};
} var x_2z;
var x_1z = x_2v.x_51 || {};
var x_52 = x_2v.x_53 || {};
if (x_o) {
x_2z = [
(x_52.x_54
? x_52.x_54
: {
x_1j: 'x_4h',
x_23: ('string' === typeof x_1z.x_54) ? x_1z.x_54 : x_x('View…', 'common'),
x_31: true,
x_25: x_3d
}
) ];
}
else {
x_2z = [
(x_52.x_55
? x_52.x_55
: {
x_1j: 'x_56',
x_23: ('string' === typeof x_1z.x_55) ? x_1z.x_55 : x_x('Add…', 'common'),

x_25: function(x_32){
kerio.waw.shared.x_3e.x_3f();
x_32.x_3i(x_32, false);
}
}
), (x_52.x_57
? x_52.x_57
: {
x_1j: 'x_4m',
x_23: ('string' === typeof x_1z.x_57) ? x_1z.x_57 : x_x('Edit…', 'common'),
x_31: true,
x_25: x_3d
}
), (x_52.x_58
? x_52.x_58
: {
x_1j: 'x_4n',
x_23: ('string' === typeof x_1z.x_58) ? x_1z.x_58 : x_x('Remove', 'common'),
x_31: true,
x_25: x_3k
}
) ]; } var x_59 = x_2v.x_32;
if (x_59 && x_59.x_5a) {
x_2z = x_2z.concat(x_59.x_5a);
}
x_4u.x_1e = x_2z;
var x_5b = (x_o || !x_4w) ? kerio.lib.x_37 : kerio.waw.shared.x_17.x_2u;
var x_32 = new x_5b(x_2w + 'x_32', x_4u);
if (x_59 && x_59.x_4c) {
x_32.x_4f = x_59.x_4c;
}

x_32.x_3i = function(x_32, x_5c){
var
x_3l = x_32.x_3m,
x_28 = {
x_5d: x_3l
},
x_5e,
x_5f;
if (x_5c) {
x_5e = x_3l.x_3v.x_40[0];
x_28.x_47 = x_5e.x_47;
}
x_5f = {
x_5g: x_32.x_5h,
x_n: (x_5c) ? x_32.x_5i : x_32.x_5j,
x_28: x_28
};
if (x_3l.x_5k) {
if (false === x_3l.x_5k(x_5f, x_5c)) {
return false; }
}
kerio.lib.x_5l.x_5m(x_5f);
};
var x_5n;
var x_5o = {
x_5p: x_o,
x_5q: x_2v.x_5q,
x_5r: x_2v.x_5r,
x_1p: x_2v.x_1p,
x_5s: x_2v.x_5s,
x_2d: x_2v.x_2d,
x_5t: x_32.x_5u,
x_5v: {
x_5w: x_32
},
x_5x: x_2v.x_5x,
x_5y: x_2v.x_5y || false,
x_5z: x_2v.x_5z,
x_60: x_2v.x_60
}; if (x_2v.x_61) {
x_5o.x_61 = x_2v.x_61;
}
else {
x_5o.x_62 = x_3d;
}
if (x_2v.x_63) {
x_5n = x_2v.x_63;
x_5o.x_5v.x_64 = x_5n;
}
var x_65, x_66;
if (x_2v.x_65) {
x_65 = x_2v.x_65;
x_66 = x_65.x_66;
x_66.method = x_66.method || 'get';
x_5o.x_65 = {
x_67: false,x_68: x_65.x_68,
x_69: 'totalItems',
x_6a: '/admin/stub/dataMiner.php',
x_66: x_66
}; } kerio.waw.shared.x_17.x_3c.superclass.constructor.call(this, x_1j, x_5o);
this.x_o = x_o;
this.x_32 = x_32;
if (x_2v.x_63) {
this.x_5n = x_5n;
}
var x_6b = kerio.lib.x_6b;
this.x_3g = x_6b.x_6c;
this.x_4k = x_6b.x_6d.x_6e;
this.x_4i = x_6b.x_6d.x_6f;
x_32.x_4t = x_3k;
var x_6g = x_2v.x_6h;
x_32.x_5h = x_6g.x_5g;
x_32.x_5j = x_6g.x_6i;
x_32.x_5i = this.x_o ? x_6g.x_6j : x_6g.x_6k;
this.x_6l = x_2v.x_6m;
this.x_w = x_66.object;
var x_4k = this.x_4k;
var x_6n = [x_4k.x_4l];
if (!x_o) {
x_6n.push(x_4k.x_4p);
}
kerio.lib.x_6o(this, x_32, x_6n);
}; 
kerio.lib.x_36(kerio.waw.shared.x_17.x_3c, kerio.lib.x_4g, 
{

x_4y: function(x_6p, x_28, x_6q){
x_6q = x_6q ||
{};
var x_66 = {
x_28: {
object: this.x_w,
method: x_6p,
params: kerio.lib.x_6r(x_28)
},
x_2s: x_6q.x_2s || undefined,
x_2e: x_6q.x_2e || this.x_6s,
x_2q: x_6q.x_2q || this
};
kerio.lib.x_6t.x_6u(x_66);
}, 
x_6s: function(x_6v, x_6w, x_28){
if (!x_6v.x_6x) {
kerio.waw.shared.x_3e.x_3j();
return;
}
var x_3l = this; var x_2s = x_28 ||
{};
kerio.waw.status.x_14.x_15(x_2s.x_4z);
if (!x_2s.x_50) {
x_3l.x_6y({}, x_2s.x_6z);
}
else {
if (x_2s.x_70) {
x_3l.x_70();
if (x_3l.x_71 || x_3l.x_72) {
x_3l.x_73({x_74: kerio.waw.shared.x_3e.x_3j, x_2q: x_3l});
}
else {
kerio.waw.shared.x_3e.x_3j();
}
if (x_3l.x_71) {
x_3l.x_75();
}
}
}
}, 
x_45: function(x_6v){
if ('no' === x_6v) {
kerio.waw.shared.x_3e.x_3j();
return;
}
var x_3l = this.x_3m;
var x_3n = x_3l.x_1j;
var x_3v = x_3l.x_3v;
var x_40 = x_3v.x_40;
var x_6m = [];
for (var x_41 = 0, x_42 = x_3v.x_46; x_41 < x_42; x_41++) {
x_6m.push(x_40[x_41].x_47.id);
}
var x_28 = {};
x_28[x_3l.x_6l] = x_6m;
var x_76 = false;
if (x_3n === 'x_43' || x_3n === 'x_44') {
x_76 = true;
x_28.domainId = kerio.waw.shared.x_3r.x_3s.x_77;
}
x_3l.x_4y('remove', x_28, {
x_2s: {
x_4z: !x_76,
x_70: true,
x_50: true
}
});
}}); 
kerio.waw.shared.x_17.x_78 = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_o = x_2v.x_o || false;
var x_1d = {
x_1j: x_1j,
x_1u: '100%',
x_1e: [{
x_1f: 'x_79',
x_23: x_x('Administration Rights', 'userEditor'),
x_1l: true,
x_1e: [{
x_1f: 'x_7a',
x_7b: 'x_q',
x_1s: x_x('No access to administration', 'userEditor'),
x_1o: kerio.waw.shared.x_3r.x_7c,
x_7d: true
}, {
x_1f: 'x_7a',
x_7b: 'x_q',
x_1s: x_x('Read only access to administration', 'userEditor'),
x_1o: kerio.waw.shared.x_3r.x_s.x_t
}, {
x_1f: 'x_7a',
x_7b: 'x_q',
x_1s: x_x('Full access to administration', 'userEditor'),
x_1o: kerio.waw.shared.x_3r.x_s.x_7e
}]
}, {
x_1f: 'x_79',
x_23: x_x('Additional Rights', 'userEditor'),
x_1l: true,
x_1p: 'noBottomMargin',
x_1e: [{
x_1f: 'x_1q',
x_1j: 'overrideWwwFilter',
x_1s: x_x('Users can override Web content rules', 'contentRules')
}, {
x_1f: 'x_1q',
x_1j: 'unlockRule',
x_1s: x_x('Users can unlock URL rules', 'contentRules')
}, {
x_1f: 'x_1q',
x_1j: 'dialRasConnection',
x_1s: x_x('Users can dial RAS connection', 'contentRules')
}, {
x_1f: 'x_1q',
x_1j: 'connectVpn',
x_1s: x_x('Users can connect using VPN', 'contentRules')
}, {
x_1f: 'x_1q',
x_1j: 'connectSslVpn',
x_1s: x_x('Users can use Clientless SSL-VPN', 'contentRules'),
x_1m: (kerio.waw.shared.x_3r.x_3s.x_3t === kerio.waw.shared.x_3r.x_3s.x_3u)
}, {
x_1f: 'x_1q',
x_1j: 'useP2p',
x_1s: x_x('Users are allowed to use P2P networks', 'contentRules')
}, {
x_1f: 'x_1q',
x_1j: 'viewStats',
x_1s: x_x('Users are allowed to view statistics', 'contentRules')
}]
} ] }; kerio.waw.shared.x_17.x_78.superclass.constructor.call(this, x_1j, x_1d);
if (x_o) {
this.x_7f();
}
this.x_2a(this);
};
kerio.lib.x_36(kerio.waw.shared.x_17.x_78, kerio.lib.x_1t, {

x_2a: function(x_2b){

x_2b.x_7g = function(){
var x_1c = this;
var x_7h = x_1c.x_7i();
var x_47 = {};
x_47.readConfig = true;
x_47.writeConfig = false;
switch (x_7h.x_q) {
case kerio.waw.shared.x_3r.x_s.x_7e:
x_47.writeConfig = true;
break;
case kerio.waw.shared.x_3r.x_7c:
x_47.readConfig = false;
}x_47.overrideWwwFilter = x_7h.overrideWwwFilter;
x_47.unlockRule = x_7h.unlockRule;
x_47.dialRasConnection = x_7h.dialRasConnection;
x_47.connectVpn = x_7h.connectVpn;
x_47.connectSslVpn = x_7h.connectSslVpn;
x_47.useP2p = x_7h.useP2p;
x_47.viewStats = x_7h.viewStats;
return x_47;
};
x_2b.x_7j = function(x_47){
var x_1c = this;
if (!x_47.readConfig) {
x_47.x_q = kerio.waw.shared.x_3r.x_7c;
}
else if (!x_47.writeConfig) {
x_47.x_q = kerio.waw.shared.x_3r.x_s.x_t;
}
else {
x_47.x_q = kerio.waw.shared.x_3r.x_s.x_7e;
}
x_1c.x_7k(x_47);
};}
});

kerio.waw.shared.x_17.x_7l = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_7m, x_7n;
var x_7o = false;
var x_o = x_2v.x_o || false;
var x_1p = 'groupList';
if (x_2v.x_1p) {
x_1p += ' ' + x_2v.x_1p;
}
if (x_2v.x_7p) {
x_1p += ' embeddedGrid';
}
if (x_2v.x_7q) {
x_1p += ' gridWithSimpleTextAbove';
x_2v.x_1y = x_2v.x_7q;
x_7o = true;
}
var x_7r = {
x_1p: x_1p,
x_5p: x_o,
x_31: x_2v.x_31,
x_1y: x_2v.x_1y,
x_65: {
x_68: 'groups',
x_69: 'totalItems',
x_6a: '/admin/stub/dataMiner.php',
x_67: false
}, x_5x: {
x_1e: [{
x_7s: 'id',
x_7t: true
}, {
x_7s: 'name',
x_23: x_x('Name', 'common'),

x_7u: function(x_1o, x_47){
return {
x_47: x_1o
};
}
}, {
x_23: x_x('Description', 'common'),
x_7s: 'description'
}] } }; x_7m = {
x_7v: true,
x_1p: (x_7o) ? 'gridRightToolbarMovedDown' : '',
x_1e: [{ x_1j: 'x_56',
x_31: x_o,
x_23: x_x('Add…', 'common'),

x_25: function(x_32){
var x_7w = x_32.x_3m;
var x_28 = {
x_7x: true, x_7w: x_7w,
x_7i: {
x_28: {
object: 'UserGroupManager',
method: 'get',
params: {
domainId: kerio.waw.shared.x_3r.x_3s.x_77,
query: {}
}
},
x_68: 'groups'
},
x_7y: false, x_2e: x_7w.x_7z
};
kerio.lib.x_5l.x_5m({
x_5g: 'selectItems',
x_n: 'x_80',
x_28: x_28
});
} }, { x_1j: 'x_4n',
x_31: true,
x_23: x_x('Remove', 'common'),

x_25: function(x_32){
var x_3l = x_32.x_3m;
x_3l.x_70();
} } ]		, 
x_4c: function(x_4d, x_4e){
var x_81 = kerio.lib.x_6b.x_6d;
var x_4k = x_81.x_6e;
var x_4i = x_81.x_6f;
var x_4j;
var x_46;
if (x_4d instanceof kerio.lib.x_4g) {
switch (x_4e.x_1f) {
case x_4k.x_4l:
x_46 = x_4d.x_3v.x_46;
this.x_3b('x_4n', (0 !== x_46));
break; case x_4k.x_4p:
x_4j = x_4e.x_4q.keyCode;
if ((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j)) {
this.x_3m.x_70();
}
break; }
}
} }; x_7n = new kerio.lib.x_37(x_2w + 'x_82', x_7m);
x_7r.x_5v = {
x_83: x_7n
};
kerio.waw.shared.x_17.x_7l.superclass.constructor.call(this, x_1j, x_7r);
this.x_2a(this);
var x_4k, x_6n;
if (x_o) {
this.x_84(false);
this.x_85(true); }
else {
x_4k = kerio.lib.x_6b.x_6d.x_6e;
x_6n = [x_4k.x_4l, x_4k.x_4p];
kerio.lib.x_6o(this, x_7n, x_6n);
}
this.x_7n = x_7n;
}; 
kerio.lib.x_36(kerio.waw.shared.x_17.x_7l, kerio.lib.x_4g, 
{

x_2a: function(x_2b){

x_2b.x_86 = function(){
var x_87 = this.x_7i();
var x_88 = [];
for (var x_41 = 0, x_42 = x_87.length; x_41 < x_42; x_41++) {
x_88.push(x_87[x_41].id);
}
return x_88;
}; 
x_2b.x_7z = function(x_89){
var x_8a = this.x_86();
var x_87 = x_8a.concat(x_89);
this.x_8b(x_87, this.x_8c);
}; 
x_2b.x_8b = function(x_8d, x_8e){
if (!x_8d || !x_8e || x_8d.length === 0) {
this.x_8f(); return;
}
var x_8g = [];
var x_3s = kerio.waw.shared.x_3r.x_3s;
var x_8h = x_3s.x_8i;
this.x_8c = x_8e;
for (var x_41 = 0, x_42 = x_8d.length; x_41 < x_42; x_41++) {
x_8g.push({
'firstOperand': {
'operandValue': 'id',
'isColumnName': true
},
'comparator': x_8h,
'secondOperand': {
'operandValue': '' + x_8d[x_41] + '',
'isColumnName': false
}
}); } var x_66 = {
object: 'UserGroupManager',
method: 'get',
domainId: x_8e,
query: {
'conditions': x_8g,
'combining': x_3s.x_8j,
'start': 0,
'limit': -1,
'orderBy': [{
'columnName': 'name',
'direction': x_3s.x_8k,
'caseSensitive': true
}] } }; this.x_6y(x_66);
}; } }); 
kerio.waw.shared.x_17.x_8l = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_8m, x_8n;
var x_7o = false;
var x_o = x_2v.x_o || false;
var x_1p = 'noGridHeader serviceList';
if (x_2v.x_1p) {
x_1p += ' ' + x_2v.x_1p;
}
if (x_2v.x_7p) {
x_1p += ' embeddedGrid';
}
if (x_2v.x_7q) {
x_1p += ' gridWithSimpleTextAbove';
x_2v.x_1y = x_2v.x_7q;
x_7o = true;
}
var x_8o = {
x_1p: x_1p,
x_8p: x_x('Click Add… to select services', 'serviceList'),
x_31: x_2v.x_31,
x_1y: x_2v.x_1y,
x_65: {
x_68: 'services',
x_69: 'totalItems',
x_6a: '/admin/stub/dataMiner.php',
x_67: false
}, x_5x: {
x_1e: [{
x_7s: 'id',
x_7t: true
}, {
x_7s: 'name',

x_7u: kerio.waw.shared.x_3e.x_8q.x_8r
}] } }; if (!x_o) {
x_8m = {
x_7v: true,
x_1p: (x_7o) ? 'gridRightToolbarMovedDown' : '',
x_1e: [{ x_1j: 'x_56',
x_23: x_x('Add…', 'common'),

x_25: function(x_32){
var x_7w = x_32.x_3m;
var x_28 = {
x_7x: false, x_7w: x_7w,
x_7y: false, x_7i: {
x_68: 'services',
x_28: {
object: 'IpServiceManager',
method: 'get'
}
},
x_2e: x_7w.x_8s
};
kerio.lib.x_5l.x_5m({
x_5g: 'selectItems',
x_n: 'x_8t',
x_28: x_28
});
} }, { x_1j: 'x_4n',
x_31: true,
x_23: x_x('Remove', 'common'),

x_25: function(x_32){
var x_3l = x_32.x_3m;
x_3l.x_70();
} } ]			, 
x_4c: function(x_4d, x_4e){
var
x_81 = kerio.lib.x_6b.x_6d,
x_4k = x_81.x_6e,
x_4i = x_81.x_6f,
x_4j,
x_46;
if (x_4d instanceof kerio.lib.x_4g) {
switch (x_4e.x_1f) {
case x_4k.x_4l:
x_46 = x_4d.x_3v.x_46;
this.x_3b('x_4n', (0 !== x_46));
break; case x_4k.x_4p:
x_4j = x_4e.x_4q.keyCode;
if ((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j)) {
this.x_3m.x_70();
}
break; }
}
} }; x_8n = new kerio.lib.x_37(x_2w + 'x_82', x_8m);
x_8o.x_5v = {
x_83: x_8n
};
} kerio.waw.shared.x_17.x_8l.superclass.constructor.call(this, x_1j, x_8o);
this.x_2a(this);
var x_4k, x_6n;
if (x_o) {
this.x_84(false);
this.x_85(true); }
else {
x_4k = kerio.lib.x_6b.x_6d.x_6e;
x_6n = [x_4k.x_4l, x_4k.x_4p];
kerio.lib.x_6o(this, x_8n, x_6n);
}
this.x_8n = x_8n;
}; 
kerio.lib.x_36(kerio.waw.shared.x_17.x_8l, kerio.lib.x_4g, 
{

x_2a: function(x_2b){

x_2b.x_8u = function(){
var x_8v = this.x_7i();
var x_8w = [];
for (var x_41 = 0, x_42 = x_8v.length; x_41 < x_42; x_41++) {
x_8w.push(x_8v[x_41].id);
}
return x_8w;
}; 
x_2b.x_8s = function(x_8x){
var x_8y = this.x_8u();
var x_8v = x_8y.concat(x_8x);
this.x_8z(x_8v);
}; 
x_2b.x_8z = function(x_8d){
if (!x_8d || Array !== x_8d.constructor || x_8d.length === 0) {
return;
}
var x_8g = [];
var x_3s = kerio.waw.shared.x_3r.x_3s;
var x_8h = x_3s.x_8i;
for (var x_41 = 0, x_42 = x_8d.length; x_41 < x_42; x_41++) {
x_8g.push({
'firstOperand': {
'operandValue': 'id',
'isColumnName': true
},
'comparator': x_8h,
'secondOperand': {
'operandValue': '' + x_8d[x_41] + '',
'isColumnName': false
}
}); } var x_66 = {
object: 'IpServiceManager',
method: 'get',
'query': {
'conditions': x_8g,
'combining': x_3s.x_8j,
'start': 0,
'limit': -1,
'orderBy': [{
'columnName': 'name',
'direction': x_3s.x_8k,
'caseSensitive': true
}] } }; this.x_6y(x_66);
}; } }); 
kerio.waw.shared.x_17.x_90 = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_91 = {
x_23: kerio.lib.x_x('Search:', 'userList'),
x_1j: 'x_92',
x_1o: '',
x_1u: 200,
x_93: 128,

x_94: function(x_32, x_95, x_96){
if (x_96.ENTER !== x_96.keyCode) {
return;
}
kerio.waw.shared.x_3e.x_3f();
var x_97 = x_95.x_2t();
var x_98 = false;
if (x_32.x_1q && x_32.x_1q.x_2t() === true) {
x_98 = true;
}
x_32.x_3m.x_6y(x_32.x_99(x_97, x_98));
}
};
var x_9a = new kerio.lib.x_9b(x_2w + 'x_9a', x_91);
var x_9c = {
x_1e: ['->', {
x_1x: x_9a
}]
};
kerio.waw.shared.x_17.x_90.superclass.constructor.call(this, x_1j, x_9c);
this.x_27({
x_9a: x_9a,
x_2v: x_2v,
x_3m: {},
x_8c: '',
x_9d: this
});
};
kerio.lib.x_36(kerio.waw.shared.x_17.x_90, kerio.lib.x_37, {

x_9e: function(x_3l){
this.x_3m = x_3l;
this.x_8c = this.x_9f();
},
x_9f: function(){
var x_8e = this.x_9g.x_2t();
var x_9h;
if (x_8e) {
x_9h = x_8e;
}
else {
x_9h = kerio.waw.shared.x_3r.x_3s.x_77;
}
this.x_9i();
return x_9h;
},
x_99: function(x_97, x_98){
var
x_3s = kerio.waw.shared.x_3r.x_3s,
x_9j = {
'query': {
'conditions': [],
'start': 0,
'limit': this.x_3m.x_5y,
'combining': x_3s.x_9k
}
},
x_9l = {
'firstOperand': {
'operandValue': '',
'isColumnName': true
},
'comparator': x_3s.x_8i,
'secondOperand': {
'operandValue': 1,
'isColumnName': false
}
},
x_9m = kerio.lib.x_9m,
x_9n,
x_9o,
x_9p;
if (x_97 && '' !== x_97) {
x_9n = x_9m(x_9l);
x_9n.firstOperand.operandValue = 'QUICKSEARCH';
x_9n.comparator = x_3s.x_9q;
x_9n.secondOperand = {
'operandValue': x_97,
'isColumnName': false
};
x_9j.query.conditions.push(x_9n);
}
if (x_98) {
x_9o = x_9m(x_9l);
x_9o.firstOperand.operandValue = 'localEnabled';
x_9j.query.conditions.push(x_9o);
if (!this.x_9r) {
x_9p = kerio.lib.x_9m(x_9l);
x_9p.firstOperand.operandValue = 'adEnabled';
x_9j.query.conditions.push(x_9p);
}
}
return x_9j;
}});
kerio.waw.shared.x_17.x_9s = function(x_1j, x_2v){
kerio.waw.shared.x_17.x_9s.superclass.constructor.call(this, x_1j, x_2v);
this.x_2v = x_2v;

var x_9t = function(x_32, x_9u, x_8e){
if (!this.x_9d) {
return;
}
kerio.waw.shared.x_3e.x_3f();
x_32 = this.x_9d;
var x_98 = false;
if (x_32.x_1q) {
x_98 = x_32.x_1q.x_2t();
}
x_32.x_8c = x_8e;
x_32.x_9r = kerio.waw.shared.x_3r.x_3s.x_77 === x_8e;
var x_9v = x_32.x_99('', x_98);
x_32.x_9a.x_9w('');
x_9v.domainId = x_8e;
x_32.x_3m.x_6y(x_9v);
kerio.waw.status.x_9x.x_8e = x_8e;
if (this.x_9y) {
this.x_9y.call(this, x_32, this, x_8e);
}
}; var x_9z = 195;
var x_a0 = kerio.lib.x_a1(
{	x_a2: 170,
es: x_9z,
hr: x_9z,
ja: x_9z,
nl: x_9z,
sk: x_9z,
pl: 215,
pt: 215,
ru: 235
});
var x_a3 = {
x_23: kerio.lib.x_x('Domain:', 'userList'),
x_1j: 'x_a4',
x_5z: [],
x_1u: x_a0,
x_9t: x_9t,
x_a5: 'x_a6',
x_a7: 'x_8e',
x_a8: true,
x_31: true
};
var x_9g = new kerio.lib.x_a9(this.x_2x + 'x_9g', x_a3);
if (undefined !== x_2v.x_9t) {
x_9g.x_9y = x_2v.x_9t;
}
x_9g.x_9d = this;
this.x_aa(x_9g, 0);
x_9g.x_3m = this.x_3m;
this.x_9g = x_9g;
};
kerio.lib.x_36(kerio.waw.shared.x_17.x_9s, kerio.waw.shared.x_17.x_90, {

x_9i: function(){
var x_9j = {
'query': {
'start': 0,
'limit': -1
}
};
var x_28 = {
x_6a: '/admin/stub/dataMiner.php',
x_6p: 'post',
x_68: 'domainList',
x_28: {
'object': 'DomainManager',
'method': 'get',
'params': kerio.lib.x_6r(x_9j)
},
x_2e: this.x_ab,
x_2q: this
};
kerio.lib.x_6t.x_6u(x_28);
},
x_ab: function(x_6v){
if (!x_6v.x_ac) {
return;
}
var
x_47 = x_6v.x_ac.domainList,
x_5z = [''], x_9g = this.x_9g,
x_8c = (kerio.waw.status.x_9x.x_8e ?
kerio.waw.status.x_9x.x_8e :
this.x_8c),
x_71 = (this.x_3m.x_1j === 'x_43'),
x_ad = kerio.waw.status.x_43,
x_ae = false,
x_77 = kerio.waw.shared.x_3r.x_3s.x_77,
x_41, x_42,
x_a4,
x_af,
x_1j,
x_ag,
x_ah;
x_ad.x_ai = false;
x_ad.x_aj = false;
for (x_41 = 0, x_42 = x_47.length; x_41 < x_42; x_41++) {
x_a4 = x_47[x_41];
x_af = x_a4.primaryDetails;
x_1j = x_47[x_41].id;
if (x_a4.id !== x_77) {
if ('' === x_a4.name) {
continue;
}
if (x_a4.primary && x_71) {
x_ad.x_ai = x_af.enabled;
x_ad.x_aj = x_af.ntAuthMode && x_af.ntAuthenticationDomain.enabled;
}
if (x_a4.primary && x_af.authenticationOnly) {
continue;
}
x_5z.push({
'x_a6': x_a4.name,
'x_8e': x_a4.id
});
if (x_a4.primary && !x_a4.primaryDetails.enabled) {
x_ae = true;
}
}
else {
x_5z[0] = {
'x_a6': kerio.lib.x_x('Local User Database', 'common'),
'x_8e': x_1j
};
if (x_71) {
x_ad = kerio.waw.status.x_43;
x_ad.x_ak = x_a4;
}
}
if (x_1j === x_8c) {
this.x_3m.x_al = x_a4.templateData;
}
}
if (x_ae) {
x_5z = x_5z.slice(0,1); }
x_ag = x_8c === x_9g.x_2t() && 0 < x_9g.x_am();
x_9g.x_8f();
x_9g.x_an(x_5z);
if (x_9g.x_ao(x_8c) && !x_ae) {
x_9g.x_9w(x_8c);
}
else {
x_9g.x_9w(kerio.waw.shared.x_3r.x_3s.x_77);
}
x_9g.x_84(false); if (x_ag) {
x_ah = this.x_99('');
this.x_3m.x_6y(x_ah);
}
}});
kerio.waw.shared.x_17.x_ap = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
kerio.waw.shared.x_17.x_ap.superclass.constructor.call(this, x_1j, x_2v);

var x_9t = function(x_32, x_1q, x_98){
var x_8e = x_32.x_8c;
kerio.waw.shared.x_3e.x_3f();
var x_9v = x_32.x_99(x_32.x_9a.x_2t(), x_98);
x_9v.domainId = x_8e;
x_32.x_3m.x_6y(x_9v);
x_32.x_8c = x_8e;
};
var x_aq = {
x_1f: 'x_1q',
x_1l: true,
x_1s: kerio.lib.x_x('Hide disabled user accounts', 'userList'),
x_9t: x_9t
};
var x_1q = new kerio.lib.x_ar(this.x_2x + 'x_1q', x_aq);
x_1q.x_9d = this;
this.x_aa(x_1q, 3);
x_1q.x_3m = this.x_3m;
this.x_1q = x_1q;
};

kerio.lib.x_36(kerio.waw.shared.x_17.x_ap, kerio.waw.shared.x_17.x_9s, {});

kerio.waw.shared.x_17.x_as = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_o = x_2v.x_o || false;

var x_at = function(x_2v){
var x_au = 150, x_1q, x_av, x_aw;
x_1q = {
x_1f: 'x_1q',
x_1j: x_2v.x_1j,
x_a6: x_2v.x_1j,
x_1s: x_2v.x_1y,
x_1l: true,
x_7d: false,

x_9t: function(x_1c, x_ax, x_1o){
x_1c.x_ay.apply(x_1c, arguments);
} };
x_av = kerio.waw.shared.x_az.x_b0('x_b1', {
x_1j: x_2v.x_1j + '_' + 'x_av',
x_31: true,
x_1u: x_au,
x_b2: 1
});
x_aw = {
x_1f: 'x_b3',
x_b2: 1,
x_1e: [{
x_1f: 'x_b4',
x_1j: x_2v.x_1j + '_' + 'x_1o',
x_31: true,
x_1u: x_au,
x_23: kerio.lib.x_x('Quota:', 'userEditor'),
x_b5: 999999999,
x_93: 9,
x_b6: {
x_b7: false
}
}, kerio.waw.shared.x_az.x_b0('x_b8', {
x_1j: x_2v.x_1j + '_' + 'x_b9',
x_31: true
})]
};
return [ x_1q, x_av, x_aw ];
}; var x_1e = [];
x_1e = x_1e.concat(x_at({
x_1j: 'x_ba',
x_1y: x_x('Enable daily limit', 'userEditor')
}));
x_1e = x_1e.concat(x_at({
x_1j: 'x_bb',
x_1y: x_x('Enable weekly limit', 'userEditor')
}));
x_1e = x_1e.concat(x_at({
x_1j: 'x_bc',
x_1y: x_x('Enable monthly limit', 'userEditor')
}));
var x_1d = {
x_1e: [
{
x_1f: 'x_79',
x_23: x_x('Transfer quota', 'userEditor'),
x_1e: x_1e
},
{
x_1f: 'x_79',
x_1j: 'x_bd',
x_23: 'Quota exceed action',
x_31: true,
x_1l: true,
x_1e: [
{
x_1f: 'x_7a',
x_7b: 'x_be',
x_1s: x_x('Block any further traffic', 'userEditor'),
x_1o: true
}, {
x_1f: 'x_7a',
x_7b: 'x_be',
x_1s: x_x('Don\'t block further traffic', 'userEditor'),
x_1o: false,
x_7d: true
}, {
x_1f: 'x_1i',
x_b2: 1,
x_1o: x_x('(Limit bandwidth according to Bandwidth Limiter settings only.)', 'userEditor')
}, {
x_1f: 'x_1q',
x_1j: 'x_bf',
x_1s: x_x('Notify user by email when quota is exceeded', 'userEditor')
}
] }
] };kerio.waw.shared.x_17.x_as.superclass.constructor.call(this, x_1j, x_1d);
this.x_27({
x_ba: this.x_29('x_ba'),
x_bb: this.x_29('x_bb'),
x_bc: this.x_29('x_bc')
});
if (x_o) {
this.x_7f();
}
this.x_2a(this);
};
kerio.lib.x_36(kerio.waw.shared.x_17.x_as, kerio.lib.x_1t, {

x_2a: function(x_2b){

x_2b.x_ay = function(x_1c, x_ax, x_bg){
var
x_1j = x_ax.x_a6,
x_bh = [
x_1j + '_' + 'x_av',
x_1j + '_' + 'x_1o',
x_1j + '_' + 'x_b9'
],
x_bi = x_1c.x_ba.x_2t() || x_1c.x_bb.x_2t() || x_1c.x_bc.x_2t();
x_1c.x_84(x_bh, !x_bg);
x_1c.x_84(['x_bd'], !x_bi);
};
x_2b.x_bj = function(){
var
x_7h = this.x_7i(true),
x_bk = {
x_ba: 'daily',
x_bb: 'weekly',
x_bc: 'monthly'
},
x_47 = {},
x_bl, x_1o, x_bm;
for (x_1o in x_bk) {
x_bl = x_bk[x_1o];
x_bm = x_1o + '_';
x_47[x_bl] = {
'enabled': x_7h[x_1o],
'type': x_7h[x_bm + 'x_av'],
'limit': {
'value': x_7h[x_bm + 'x_1o'],
'units': x_7h[x_bm + 'x_b9']
} }; } x_47.blockTraffic = x_7h.x_be;
x_47.notifyUser = x_7h.x_bf;
return x_47;
};
x_2b.x_bn = function(x_47){
var
x_7h = {},
x_bk = {
x_ba: 'daily',
x_bb: 'weekly',
x_bc: 'monthly'
},
x_bo, x_bp,
x_bl, x_1o, x_bm;
for (x_1o in x_bk) {
x_bl = x_bk[x_1o];
x_bm = x_1o + '_';
x_bo = x_47[x_bl];
x_bp = x_bo.limit;
x_7h[x_1o] = x_bo.enabled;
x_7h[x_bm + 'x_av'] = x_bo.type;
x_7h[x_bm + 'x_1o'] = x_bp.value;
x_7h[x_bm + 'x_b9'] = x_bp.units;
} x_7h.x_be = x_47.blockTraffic;
x_7h.x_bf = x_47.notifyUser;
this.x_7k(x_7h);
};}});
kerio.waw.shared.x_17.x_bq = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_x = kerio.lib.x_x;
var x_o = x_2v.x_o || false;
var x_1d = {
x_1e: [{
x_1f: 'x_79',
x_23: x_x('Web content scanning options', 'userEditor'),
x_1l: true,
x_1e: [{
x_1f: 'x_1q',
x_1j: 'javaApplet',
x_1s: x_x('Filter out HTML Java applets', 'userEditor')
}, {
x_1f: 'x_1i',
x_b2: 1,
x_1j: 'javaAppletCaption',
x_1o: x_x('HTML <applet> tags (Java Applet)', 'userEditor')
}, {
x_1f: 'x_1q',
x_1j: 'embedObject',
x_1s: x_x('Filter out HTML ActiveX objects', 'userEditor')
}, {
x_1f: 'x_1i',
x_b2: 1,
x_1o: x_x('Active objects at web pages', 'userEditor')
}, {
x_1f: 'x_1q',
x_1j: 'script',
x_1s: x_x('Filter out HTML Script tags', 'userEditor')
}, {
x_1f: 'x_1i',
x_b2: 1,
x_1j: 'scriptCaption',
x_1o: x_x('HTML <script> tags - commands of scripting languages, such as JavaScript, VBScript, etc.', 'userEditor')
}, {
x_1f: 'x_1q',
x_1j: 'popup',
x_1s: x_x('Filter out HTML JavaScript pop-up windows', 'userEditor')
}, {
x_1f: 'x_1i',
x_b2: 1,
x_1o: x_x('Automatic opening of new browser windows - usually ad pop-up windows', 'userEditor')
}, {
x_1f: 'x_1q',
x_1j: 'referer',
x_1s: x_x('Filter out cross-domain referer', 'userEditor')
}, {
x_1f: 'x_1i',
x_b2: 1,
x_1o: x_x('This option enables/disables the Referer item included in an HTTP header.', 'userEditor')
}]
}, {
x_1f: 'x_79',
x_23: x_x('Language options', 'userEditor'),
x_br: kerio.lib.x_a1({
x_a2: 120,
hu: 80, it: 80, ja: 80, nl: 80,
de: 110,
hr: 60,
zh: 50
}),
x_1e: [{
x_1f: 'x_9u',
x_1j: 'language',
x_1u: kerio.lib.x_a1({
x_a2: 120,
es: 140, hr: 140, ja: 140, nl: 140, pl: 140, sv: 140,
ru: 160,
zh: 100
}),
x_23: x_x('Prefered language:', 'userEditor'),
x_5z: kerio.waw.shared.x_3r.x_bs.x_bt,
x_a5: 'x_a6',
x_a7: 'x_1o'
}]
}]
};kerio.waw.shared.x_17.x_bq.superclass.constructor.call(this, x_1j, x_1d);
if (x_o) {
this.x_7f();
}
this.x_2a(this);
};
kerio.lib.x_36(kerio.waw.shared.x_17.x_bq, kerio.lib.x_1t, {

x_2a: function(x_2b){

x_2b.x_bu = function(x_47){
this.x_7k(x_47.wwwFilter);
this.x_7k({
'language': x_47.language
});
};
x_2b.x_bv = function(){
var x_7h = this.x_7i();
var x_47 = {
'wwwFilter': {
'javaApplet': x_7h.javaApplet,
'embedObject': x_7h.embedObject,
'script': x_7h.script,
'popup': x_7h.popup,
'referer': x_7h.referer
},
'language': x_7h.language
};
return x_47;
};}});
kerio.waw.shared.x_17.x_bw = function(x_2v){
var x_2w = x_2v.x_1j + '_';
this.x_2w = x_2w;
this.x_n = x_2v.x_n;
var x_n = x_2v.x_n;
var x_x = kerio.lib.x_x;
this.x_o = (kerio.waw.status.x_p.x_q === kerio.waw.shared.x_3r.x_s.x_t);
var x_o = this.x_o;
var x_bx = false;
var x_by;
var x_bz = ('x_c0' === x_n);
if ('x_c1' === x_n || 'x_c2' === x_n || 'x_c3' === x_n) {
x_by = {
x_c4: {
x_c5: x_x('Add…', 'common'),
x_c6: x_x('Remove', 'common')
},
x_c7: 'x_80',
x_c8: 'UserGroupManager',
x_c9: 'groups',
x_ca: false,
x_cb: false
};x_bx = true;
}
else if (x_bz) {
x_by = {
x_c4: {
x_c5: x_x('Add…', 'common'),
x_c6: x_x('Remove', 'common')
},
x_c7: 'x_cc',
x_c8: 'UserManager',
x_c9: 'users',
x_ca: true,
x_cb: true
};}
else {x_by = {
x_c4: {
x_c5: x_x('Add…', 'common'),
x_c6: x_x('Remove', 'common')
},
x_c7: 'x_cd',
x_c8: 'UserManager',
x_c9: 'users',
x_ca: false,
x_cb: false
};}
this.x_by = x_by;

var x_ce = function(x_4d, x_4e){
var
x_81,
x_4k,
x_4i,
x_4j,
x_3v,
x_cf;
if (x_4d instanceof kerio.lib.x_4g) {
x_81 = kerio.lib.x_6b.x_6d;
x_4k = x_81.x_6e;
x_4i = x_81.x_6f;
if (!this.x_3m.x_cg) {
return;
}
x_3v = x_4d.x_3v;
x_cf = (0 !== x_3v.x_46);if (x_cf && 'x_ch' === x_3v.x_40[0].x_47.id) {
x_cf = false;
}
switch (x_4e.x_1f) {
case x_4k.x_4l:
this.x_3b('x_4n', x_cf);
break; case x_4k.x_4p:
x_4j = x_4e.x_4q.keyCode;
if (x_cf && ((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j))) {
this.x_3m.x_70();
}
break; }
}
}; var x_ci = {
x_7v: true,
x_4c: x_ce,
x_1e: [{
x_23: x_by.x_c4.x_c5,
x_1j: 'x_56',
x_5p: x_o,

x_25: function(x_32){
var x_7w = x_32.x_3m;
var x_by = x_7w.x_by;
var x_n = x_by.x_c7;
var x_cj = {
x_5g: 'selectItems',
x_n: x_n,
x_28: {
x_7x: true,
x_7w: x_7w,
x_7i: {
x_28: {
object: x_by.x_c8,
method: 'get',
params: {
domainId: kerio.waw.shared.x_3r.x_3s.x_77,
query: {}
}
},
x_68: x_by.x_c9
},
x_7y: false, x_2e: ('x_cc' === x_n ? x_7w.x_ck : x_7w.x_cl)
}
};kerio.lib.x_5l.x_5m(x_cj);
} }, {
x_23: x_by.x_c4.x_c6,
x_1j: 'x_4n',
x_31: true,
x_25: function(x_32){
x_32.x_3m.x_70();
}
}]
};
var x_cm = new kerio.lib.x_37(x_2w + 'x_cn', x_ci);
this.x_cm = x_cm;
this.x_cm.x_2w = x_2w;
var x_co = {
x_5v: {
x_83: x_cm
},
x_cp: 1,
x_5s: (!x_o ? 'x_cq' : 'x_cr')
};
if (x_bx) {
x_co.x_5x = {
x_1e: [{
x_23: x_x('Name', 'common'),
x_7s: 'name',
x_cs: false, x_1u: 200,

x_7u: kerio.waw.shared.x_3e.x_8q.x_ct
}, {
x_23: x_x('Description', 'common'),
x_7s: 'description',
x_cs: false, x_7t: x_by.x_cb
}, {
x_23: 'id',
x_7s: 'id',
x_7t: true
}] }; } else {
x_co.x_5x = {
x_1e: [{
x_7s: 'isGroup',
x_7t: true
}, {
x_7s: 'id',
x_7t: true
}, {
x_7s: 'domainName',
x_7t: true
}, {
x_23: (x_bz ? x_x('Name', 'common') : x_x('Username', 'common')),
x_7s: 'name',
x_cs: false, 
x_7u: function(x_1o, x_47){
var x_cu;
if ('x_ch' === x_47.id) {
return {
x_1p: 'userNobody',
x_47: kerio.lib.x_x('Nobody', 'common')
};
}
if ('x_cd' === this.x_by.x_c7) {
return kerio.waw.shared.x_3e.x_8q.x_cv(x_1o, x_47);
}
x_cu = kerio.waw.shared.x_3e.x_cw(x_47);
return {
x_47: x_cu.x_cx,
x_cy: x_cu.x_cz,
x_d0: x_cu.x_d1
};
}}, {
x_23: x_x('Full Name', 'common'),
x_7s: 'fullName',
x_cs: false, x_7t: x_by.x_ca
}, {
x_23: x_x('Description', 'common'),
x_7s: 'description',
x_cs: false, x_7t: x_by.x_cb
}]
}; if (x_bz) {
x_co.x_5x.x_1e.push({
x_7s: 'userGroupHash',
x_7t: true,
x_cs: true
});
x_co.x_5x.x_d2 = {
x_7s: 'userGroupHash'
};
}
} if (x_bz) {
x_co.x_8p = x_x('Any user', 'trafficRuleEditor');
}
this.x_2a(this);
kerio.waw.shared.x_17.x_bw.superclass.constructor.call(this, x_2w + 'x_d3', x_co);
kerio.lib.x_6o(this, x_cm);
this.x_27({
x_cg: true,
x_8e: ''
});
this.x_85(x_o);
};
kerio.lib.x_36(kerio.waw.shared.x_17.x_bw, kerio.lib.x_4g, {

x_2a: function(x_2b){

x_2b.x_d4 = function(x_d5, x_8e){
this.x_d6();
if ((!x_d5 || Array !== x_d5.constructor || x_d5.length === 0) || !x_8e) {
return;
}
var x_d7;
var x_3s = kerio.waw.shared.x_3r.x_3s;
var x_8h = x_3s.x_8i;
var x_d8 = [];
var x_d9 = [];
var x_8g;
this.x_d6();
this.x_8e = x_8e;
this.x_cg = kerio.waw.status.x_43.x_9r;
for (var x_41 = 0, x_42 = x_d5.length; x_41 < x_42; x_41++) {
x_d7 = x_d5[x_41];
x_8g = {
'firstOperand': {
'operandValue': 'id',
'isColumnName': true
},
'comparator': x_8h,
'secondOperand': {
'operandValue': '' + x_d7.id + '',
'isColumnName': false
}
};
if (!x_d7.isGroup) {
x_d8.push(x_8g);
}
else {
x_d9.push(x_8g);
}
} var x_da = [];
if (x_d8.length !== 0) {
x_da.push({
object: 'UserManager',
method: 'get',
params: kerio.lib.x_6r({
query: {
conditions: x_d8,
combining: x_3s.x_8j,
start: 0,
limit: -1,
orderBy: [{
'columnName': 'userName',
'direction': kerio.waw.shared.x_3r.x_3s.x_8k,
'caseSensitive': true
}]
},
domainId: x_8e
})
});
}
if (x_d9.length !== 0) {
x_da.push({
object: 'UserGroupManager',
method: 'get',
params: kerio.lib.x_6r({
query: {
conditions: x_d9,
combining: x_3s.x_8j,
start: 0,
limit: -1,
orderBy: [{
'columnName': 'name',
'direction': kerio.waw.shared.x_3r.x_3s.x_8k,
'caseSensitive': true
}]
},
domainId: x_8e
})
});
}
kerio.waw.shared.x_3e.x_db.call(this, x_da, this.x_dc);
};
x_2b.x_dd = function(){
var x_d5 = this.x_de();
var x_47 = [];
for (var x_41 = 0, x_42 = x_d5.length; x_41 < x_42; x_41++) {
x_47.push(x_d5[x_41].id);
}
return x_47;
};
x_2b.x_df = function(){
var x_d5 = this.x_de();
var x_47 = [];
var x_d7;
for (var x_41 = 0, x_42 = x_d5.length; x_41 < x_42; x_41++) {
x_d7 = x_d5[x_41];
x_47.push({
id: x_d7.id,
name: x_d7.name,
isGroup: x_d7.isGroup,
domainName: x_d7.domainName
});
}
return x_47;
};
x_2b.x_dc = function(x_6v){
var x_dg = x_6v.x_ac.batchResult, x_d7, x_dh = [], x_47, x_di, x_d5, x_41, x_42, x_dj, x_dk;
this.x_85(!this.x_cg);
this.x_dl.locked = !this.x_cg;this.x_cm.x_3b('x_4n', false);
for (x_41 = 0, x_42 = x_dg.length; x_41 < x_42; x_41++) {
x_47 = x_dg[x_41];
x_di = false;
if (x_47.users) {
x_d5 = x_47.users;
}
else {
x_d5 = x_47.groups;
x_di = true;
}
for (x_dj = 0, x_dk = x_d5.length; x_dj < x_dk; x_dj++) {
x_d7 = x_d5[x_dj];
if (!x_di) {
x_dh.push({
id: x_d7.id,
name: x_d7.credentials.userName,
isGroup: x_di,
fullName: x_d7.fullName,
description: x_d7.description
});
}
else {
x_dh.push({
id: x_d7.id,
name: x_d7.name,
isGroup: x_di,
fullName: '',
description: x_d7.description
});
}
}
}
this.x_dm(x_dh);
};
x_2b.x_dm = function(x_47){
if (x_47 && x_47.length !== 0) {
this.x_7k(x_47);
}
else {
this.x_8f();
}
};
x_2b.x_cl = function(x_dn, x_do, x_dp){
var x_dq = this.x_de();
if (!x_dn) {
x_dn = [];
}
var x_41, x_42, x_dj, x_dk;
for (x_41 = 0, x_42 = x_dq.length; x_41 < x_42; x_41++) {
x_dn.push(x_dq[x_41].id);
}
var x_dr = [], x_d7, x_ds;
for (x_41 = 0, x_42 = x_do.length; x_41 < x_42; x_41++) {
x_ds = x_do[x_41].id;
for (x_dj = 0, x_dk = x_dn.length; x_dj < x_dk; x_dj++) {
if (x_dn[x_dj] === x_ds) {
x_d7 = x_do[x_41];
x_dr.push(this.x_dt(x_d7));
delete x_dn[x_dj];
break;
}
}
if (x_dn.length === 0) {
break;
}
}
if (!x_dp) {
this.x_dm(x_dr);
}
else {
return x_dr;
}
}; 
x_2b.x_ck = function(x_dn, x_do) {
var
x_dq = this.x_de(),
x_du = this.x_cl(x_dn, x_do, true),
x_d5 = x_du.concat(x_dq),x_dv = [],
x_d7, x_dw = [],
x_dx = [],
x_1j;
for (var x_41 = 0, x_42 = x_d5.length; x_41 < x_42; x_41++) {
x_d7 = x_d5[x_41];
x_1j = x_d7.id;
if ('x_ch' === x_1j) {
continue;
}
x_d7.userGroupHash = (x_d7.isGroup ? 0 : 1) + x_d7.name.toLocaleLowerCase() + x_d7.domainName.toLocaleLowerCase();
if (true === x_d7.isGroup && !x_dx[x_1j]) {
x_dx[x_1j] = x_d7.name;
x_dv.push(x_d7);
}
if (false === x_d7.isGroup && !x_dw[x_1j]) {
x_dw[x_1j] = x_d7.name;
x_dv.push(x_d7);
}
}
this.x_dm(x_dv);
this.x_dy();
}; 
x_2b.x_dt = function(x_47){
if (!x_47) {
return {};
}
var x_dz;
switch (this.x_n) {
case 'x_e0':
case 'x_e1':
x_dz = {
id: x_47.id,
name: x_47.credentials.userName,
fullName: x_47.fullName,
description: x_47.description
};
break;
case 'x_c1':
case 'x_c2':
x_dz = {
id: x_47.id,
name: x_47.name,
description: x_47.description
};
break;
case 'x_c0':
x_dz = {
id: x_47.id,
name: x_47.name,
description: x_47.description,
fullName: x_47.fullName,
isGroup: x_47.isGroup,
domainName: x_47.domainName
};
break;
} return x_dz;
}; 
x_2b.x_7f = x_2b.x_85;
} });
kerio.waw.shared.x_17.x_e2 = function(x_2v){
var x_2w = x_2v.x_2w;
var x_1b = kerio.lib;
var x_x = x_1b.x_x;
var x_o = x_2v.x_o;

var x_e3 = function(x_4d, x_4e){
var
x_81,
x_4k,
x_4i,
x_4j,
x_46;
if (x_4d instanceof kerio.lib.x_4g) {
x_81 = kerio.lib.x_6b.x_6d;
x_4k = x_81.x_6e;
x_4i = x_81.x_6f;
switch (x_4e.x_1f) {
case x_4k.x_4l:
x_46 = x_4d.x_3v.x_46;
this.x_3b('x_4n', (0 !== x_46));
this.x_3b('x_4m', (1 === x_46));
break; case x_4k.x_4p:
x_4j = x_4e.x_4q.keyCode;
if ((x_4i.x_4r === x_4j) || (x_4i.x_4s === x_4j)) {
this.x_3m.x_70();
}
break; }
}
};var x_e4 = {
x_4c: x_e3,
x_1e: [{
x_23: x_x('Add…', 'common'),
x_1j: 'x_56',
x_31: x_o,

x_25: function(x_32){
kerio.lib.x_5l.x_5m({
x_5g: 'routeEditor',
x_n: 'x_e5',
x_28: {
x_7w: x_32.x_3m
}
});
}}, {
x_23: x_x('Edit…', 'common'),
x_1j: 'x_4m',
x_31: true,
x_25: this.x_e6
}, {
x_23: x_x('Remove', 'common'),
x_1j: 'x_4n',
x_31: true,

x_25: function(x_32){
x_32.x_3m.x_e7(kerio.waw.shared.x_3r.x_e8.x_e9);
}}]
};var x_ea = (x_o ? undefined : new kerio.lib.x_37(x_2w + 'x_ea', x_e4));

var x_eb = function(x_1o, x_47){
return {
x_47: x_47.description
};
};var x_ec = {
x_5v: {
x_5w: x_ea
},
x_cp: 1,
x_62: this.x_e6,
x_5x: {
x_1e: [{
x_7s: 'description',
x_7t: true
}, {
x_7s: 'item',
x_23: x_x('Description', 'common'),
x_7u: x_eb,
x_ed: {
x_1f: 'x_1q',
x_7s: 'enabled',
x_9t: this.x_ee
}
}, {
x_23: x_x('Network', 'common'),
x_7s: 'network'
}, {
x_23: x_x('Mask', 'common'),
x_7s: 'mask'
}, {
x_7s: 'enabled',
x_7t: true
}, {
x_7s: 'id',
x_7t: true
}]
}
};if (x_o) {
x_ec.x_5p = true;
x_ec.x_62 = undefined;
}
if (x_2v.x_7q) {
x_ec.x_1p = 'gridWithSimpleTextAbove';
x_ec.x_1y = x_2v.x_7q;
}
this.x_ef = false;
kerio.waw.shared.x_17.x_e2.superclass.constructor.call(this, x_2w + 'x_eg', x_ec);
if (!x_o) {
kerio.lib.x_6o(this, x_ea);
}
};

kerio.lib.x_36(kerio.waw.shared.x_17.x_e2, kerio.lib.x_4g, {

x_eh: function(x_ei){
this.x_ei = x_ei;
var x_28 = {
query: {
conditions: [{
'firstOperand': {
'operandValue': 'interfaceId',
'isColumnName': true
},
'comparator': kerio.waw.shared.x_3r.x_3s.x_8i,
'secondOperand': {
'operandValue': x_ei,
'isColumnName': false
}
}],
start: 0,
limit: -1,
orderBy: [{
'columnName': 'description',
'direction': kerio.waw.shared.x_3r.x_3s.x_8k,
'caseSensitive': true
}]
}
};
kerio.waw.shared.x_3e.x_4y('VpnRouteManager', 'get', x_28, this.x_ab, this);
},
x_ab: function(x_6v){
this.x_7k(x_6v.x_ac.routes);
},
x_e7: function(){
if (!this.x_ef) {
this.x_ef = true;
kerio.waw.shared.x_3e.x_ej(kerio.waw.shared.x_3r.x_e8.x_ek, this.x_el, this);
}
else {
this.x_el();
}
},
x_ee: function(x_3l, x_1o, x_47){
x_3l.x_em = x_47;
if (!x_3l.x_ef) {
x_3l.x_ef = true;
kerio.waw.shared.x_3e.x_ej(kerio.waw.shared.x_3r.x_e8.x_ek, x_3l.x_en, x_3l);
}
else {
x_3l.x_en();
}
},
x_en: function(){
var x_eo = this.x_em;
var x_47 = {
'ids': x_eo.id,
'details': {
description: x_eo.description,
enabled: x_eo.enabled,
interfaceId: x_eo.interfaceId,
network: x_eo.network,
mask: x_eo.mask
}
};
kerio.waw.shared.x_3e.x_4y('VpnRouteManager', 'set', x_47);
},
x_el: function(){
var x_5e = this.x_3v.x_40;
var x_8d = [];
for (var x_41 = 0, x_42 = x_5e.length; x_41 < x_42; x_41++) {
x_8d.push(x_5e[x_41].x_47.id);
}
kerio.waw.shared.x_3e.x_4y('VpnRouteManager', 'remove', {
'routeIds': x_8d
}, function(x_6v){
if (!x_6v.x_6x) {
return;
}
this.x_eh(this.x_ei);
}, this);
},
x_ep: function(){
return (this.x_eq() === 0 ? true : false);
},
x_e6: function(){
var x_3l;
if (this instanceof kerio.lib.x_4g) {
x_3l = this;
}
else {
x_3l = this.x_3m;
}

if (0 === x_3l.x_3v.x_40.length) {
return;
}var x_5e = x_3l.x_3v.x_40[0];
kerio.lib.x_5l.x_5m({
x_5g: 'routeEditor',
x_n: 'x_er',
x_28: {
x_7w: x_3l,
x_47: x_5e.x_47
}
});
}});

kerio.waw.shared.x_17.x_es = function(x_1j, x_2v){
var x_2w = x_1j + '_';
this.x_2x = x_2w;
var x_et = {};


var x_9t = function(x_32, x_9u, x_1o){
if (!this.x_9d) {
return;
}
x_32 = this.x_9d;
var x_98 = false;
if (x_32.x_1q) {
x_98 = x_32.x_1q.x_2t();
}
x_32.x_8e = x_1o;
x_32.x_eu();
}; var x_9z = 195;
var x_a0 = kerio.lib.x_a1(
{	x_a2: 170,
es: x_9z,
hr: x_9z,
ja: x_9z,
nl: x_9z,
sk: x_9z,
pl: 215,
pt: 215,
ru: 235
});
var x_ev = {
x_23: kerio.lib.x_x('Domain:', 'userList'),
x_1j: 'x_ew',
x_5z: [],
x_1u: x_a0,
x_9t: x_9t,
x_a5: 'x_a6',
x_a7: 'x_8e',
x_a8: true,
x_31: true
};
x_et.x_8e = (x_2v.x_8e ? x_2v.x_8e : kerio.waw.shared.x_3r.x_3s.x_77);
var x_2z = [];
var x_1e = x_2v.x_1e;
var x_ex;
var x_ey;
var x_41, x_42;
for (x_41 = 0, x_42 = x_1e.length; x_41 < x_42; x_41++) {
switch (x_1e[x_41]) {
case 'x_92':
x_ex = new kerio.lib.x_9b(x_2w + 'x_92'); x_2z.push({
x_1x: x_ex
});
x_et.x_92 = x_ex;
break;
case 'x_ew':
x_ey = new kerio.lib.x_a9(x_2w + 'x_ew', x_ev);
x_2z.push({
x_1x: x_ey
});
x_et.x_ew = x_ey;
break;
case '->':
x_2z.push('->');
break;
}
}
var x_4u = {
x_1e: x_2z
};
kerio.waw.shared.x_17.x_es.superclass.constructor.call(this, x_1j, x_4u);
this.x_27(x_et);};
kerio.lib.x_36(kerio.waw.shared.x_17.x_es, kerio.lib.x_37, {

x_ez: function(x_3m){
this.x_3m = x_3m;
this.x_8e = kerio.waw.shared.x_3r.x_3s.x_77;
this.x_f0();
},
x_f0: function(){
var x_9j = {
'query': {
'start': 0,
'limit': -1
}
};
var x_28 = {
x_6a: '/admin/stub/dataMiner.php',
x_6p: 'post',
x_68: 'domainList',
x_28: {
'object': 'DomainManager',
'method': 'get',
'params': kerio.lib.x_6r(x_9j)
},
x_2e: this.x_f1,
x_2q: this
};
kerio.lib.x_6t.x_6u(x_28);
},
x_f1: function(x_6v){
var x_dg = x_6v.x_ac;
if (!x_dg) {
return;
}
var
x_47 = x_dg.domainList,
x_5z = [''], x_ey = this.x_ew,
x_ae = false,
x_77 = kerio.waw.shared.x_3r.x_3s.x_77,
x_41, x_42,
x_a4,
x_f2 = [],
x_1j,
x_f3;
for (x_41 = 0, x_42 = x_47.length; x_41 < x_42; x_41++) {
x_a4 = x_47[x_41];
x_1j = x_a4.id;
if (x_a4.id !== x_77) {
if ('' === x_a4.name) {
continue;
}
if (x_a4.primary && x_a4.primaryDetails.authenticationOnly) {
continue;
}
x_f3 = x_a4.name;
x_5z.push({
'x_a6': x_f3,
'x_8e': x_1j
});
if (x_a4.primary && !x_a4.primaryDetails.enabled) {
x_ae = true;
}
}
else {
x_f3 = kerio.lib.x_x('Local User Database', 'common');
x_5z[0] = {
'x_a6': x_f3,
'x_8e': x_1j
};
}
x_f2[x_1j] = x_f3;
}
if (x_ae) {
x_5z = x_5z.slice(0,1); }
this.x_f2 = x_f2;
x_ey.x_8f();
x_ey.x_an(x_5z);
if (x_ey.x_ao(this.x_8e) && !x_ae) {
x_ey.x_9w(this.x_8e);
}
else {
x_ey.x_9w(kerio.waw.shared.x_3r.x_3s.x_77);
}
x_ey.x_84(false); this.x_eu();},
x_eu: function(){
var x_da = [];
var x_8e = this.x_8e;
x_da.push({
object: 'UserGroupManager',
method: 'get',
params: kerio.lib.x_6r({
query: {
orderBy: [{
columnName: "name",
direction: 0
}]
},
domainId: x_8e
})
});
x_da.push({
object: 'UserManager',
method: 'get',
params: kerio.lib.x_6r({
query: {
orderBy: [{
columnName: "userName",
direction: 0
}]
},
domainId: x_8e
})
});
var x_f4 = {
x_da: x_da,
x_2q: this,
x_2e: this.x_f5
};
this.x_3m.x_3l.x_f6();
kerio.waw.shared.x_3e.x_db(x_f4);
},

x_f5: function(x_6v){
var x_3l = this.x_3m.x_3l;
x_3l.x_f6(false);
x_3l.x_8f();
if (!x_6v.x_6x) {
return;
}
var x_dg = x_6v.x_ac.batchResult;
var x_d7;
var x_dh = [];
var x_47;
var x_di;
var x_d5;
var x_dj, x_dk;
var x_8e = this.x_8e;
var x_f3 = (kerio.waw.shared.x_3r.x_3s.x_77 === x_8e ? '' : this.x_f2[x_8e]);
for (var x_41 = 0, x_42 = x_dg.length; x_41 < x_42; x_41++) {
x_47 = x_dg[x_41];
x_di = false;
if (x_47.users) {
x_d5 = x_47.users;
}
else {
x_d5 = x_47.groups;
x_di = true;
}
for (x_dj = 0, x_dk = x_d5.length; x_dj < x_dk; x_dj++) {
x_d7 = x_d5[x_dj];
if (!x_di) {
x_dh.push({
x_1j: x_d7.id,
x_a6: x_d7.credentials.userName,
x_di: x_di,
x_f7: x_d7.fullName,
x_f8: x_d7.description,
id: x_d7.id,
name: x_d7.credentials.userName,
fullName: x_d7.fullName,
description: x_d7.description,
isGroup: x_di,
domainName: x_f3
});
}
else {
x_dh.push({
x_1j: x_d7.id,
x_a6: x_d7.name,
x_di: x_di,
x_f7: '',
x_f8: x_d7.description,
id: x_d7.id,
name: x_d7.name,
isGroup: x_di,
fullName: '',
description: x_d7.description,
domainName: x_f3
});
}
}
}
x_3l.x_7k(x_dh);
}
});
